MantisBT  Site | Plugring | Plugins API and Macros | Forum | English Forum | Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003462Far ManagerEditorpublic2017-07-31 17:472017-08-02 15:48
Reportergults 
Assigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003462: Поиск всех вхождений теряет вхождение в первой строке
DescriptionЕсли курсор стоит не в начале строки и делаем поиск всех вхождений некоей подстроки, то не производится поиск в первой строке до номера текущей колонки. Т.е. чтоб найти все достоверно все искомые вхождения нужно перед поиском ставить курсор в начало строки. При этом если в текущей строке есть искомый текст и это не строка #1, то после закрытия окна результатов по Esc курсор перемещается к этому вхождению. Хотя, наверное, не должен. Возможно, это вторая проблема.
Скриншот прилагается.
Проверил на последней сборке, проблема присутствует.
Steps To Reproduce1. Создаем текстовый файл, например вот такой:
abcdefg
abcdefg
abcdefg
abcdefg

2. Открываем в редакторе (F4) ставим курсор во вторую строку и четвертую колонку (или более).
3. Поиск (F7), вводим искомую строку bс, жмем All т.е. найти все вхождения.
Результат - три вхождения, без первой строки. Должно быть четыре.
4. Нажимаем Esc, курсор оказывается в колонке 2
TagsNo tags attached.
Build4997
Attached Filespng file icon Far_missed_occurrence.png [^] (50,957 bytes) 2017-07-31 17:47

- Relationships

-  Notes
(0015504)
DrKnS (administrator)
2017-07-31 23:03

4996.
(0015505)
gults (reporter)
2017-08-01 10:13

Поиск работает. Спасибо!
Правда курсор все равно прыгает по Esc.
(0015506)
DrKnS (administrator)
2017-08-01 22:41

4997 - прыгать не должен.
(0015507)
gults (reporter)
2017-08-02 15:47

Все отлично!
Спасибо!

- Issue History
Date Modified Username Field Change
2017-07-31 17:47 gults New Issue
2017-07-31 17:47 gults File Added: Far_missed_occurrence.png
2017-07-31 22:03 DrKnS Assigned To => DrKnS
2017-07-31 22:03 DrKnS Status new => assigned
2017-07-31 23:03 DrKnS Note Added: 0015504
2017-07-31 23:03 DrKnS Status assigned => feedback
2017-08-01 10:13 gults Note Added: 0015505
2017-08-01 10:13 gults Status feedback => assigned
2017-08-01 22:41 DrKnS Note Added: 0015506
2017-08-01 22:42 DrKnS Status assigned => feedback
2017-08-02 15:47 gults Note Added: 0015507
2017-08-02 15:47 gults Status feedback => assigned
2017-08-02 15:48 DrKnS Build => 4997
2017-08-02 15:48 DrKnS Status assigned => closed
2017-08-02 15:48 DrKnS Resolution open => fixed
2017-08-02 15:48 DrKnS Fixed in Version => 3.0



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker